Main Page Widgets Namespaces Book

# Gtk::IconInfo Class Reference

List of all members.

## Public Member Functions

| IconInfo ()
| IconInfo (GtkIconInfo* gobject, bool make_a_copy=true)
| IconInfo (const IconInfo& other)
IconInfo& | operator= (const IconInfo& other)
| ~IconInfo ()
void | swap (IconInfo& other)
GtkIconInfo* | gobj ()
| Provides access to the underlying C instance.
const GtkIconInfo* | gobj () const
| Provides access to the underlying C instance.
GtkIconInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| operator bool ()
| Tests whether the IconInfo is valid.
int | get_base_size () const
| Gets the base size for the icon.
Glib::ustring | get_filename () const
| Gets the filename for the icon.
Glib::RefPtr<Gdk::Pixbuf> | get_builtin_pixbuf ()
| Gets the built-in image for this icon, if any.
Glib::RefPtr<const Gdk::Pixbuf> | get_builtin_pixbuf () const
| Gets the built-in image for this icon, if any.
Glib::RefPtr<Gdk::Pixbuf> | load_icon () const
| Renders an icon previously looked up in an icon theme using Gtk::IconTheme::lookup_icon(); the size will be based on the size pssed to Gtk::IconTheme::lookup_icon().
void | set_raw_coordinates (bool raw_coordinates=true)
| Sets whether the coordinates returned by gtk_icon_info_get_embedded_rect() and gtk_icon_info_get_attach_points() should be returned in their original form as specified in the icon theme, instead of scaled appropriately for the pixbuf returned by gtk_icon_info_load_icon().
bool | get_embedded_rect (Gdk::Rectangle& rectangle) const
| Gets the coordinates of a rectangle within the icon that can be used for display of information such as a preview of the contents of a text file.
bool | get_attach_points (Glib::ArrayHandle<Gdk::Point>& points) const
Glib::ustring | get_display_name () const
| Gets the display name for an icon.

## Protected Attributes

GtkIconInfo* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (IconInfo& lhs, IconInfo& rhs)
Gtk::IconInfo | wrap (GtkIconInfo* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::IconInfo::IconInfo | ( |  | ) |

Gtk::IconInfo::IconInfo | ( | GtkIconInfo* | gobject,
|  | bool | make_a_copy = `true`
| ) | `[explicit]`

Gtk::IconInfo::IconInfo | ( | const IconInfo& | other | ) |

Gtk::IconInfo::~IconInfo | ( |  | ) |

## Member Function Documentation

bool Gtk::IconInfo::get_attach_points | ( | Glib::ArrayHandle<Gdk::Point>& | points | ) | const

int Gtk::IconInfo::get_base_size | ( |  | ) | const

Gets the base size for the icon.

The base size is a size for the icon that was specified by the icon theme creator. This may be different than the actual size of image; an example of this is small emblem icons that can be attached to a larger icon. These icons will be given the same base size as the larger icons to which they are attached.

Returns:
  The base size, or 0, if no base size is known for the icon.

Since: 2.4.

Glib::RefPtr<const Gdk::Pixbuf> Gtk::IconInfo::get_builtin_pixbuf | ( |  | ) | const

Gets the built-in image for this icon, if any.

To allow GTK+ to use built in icon images, you must pass the Gtk::ICON_LOOKUP_USE_BUILTIN to Gtk::IconTheme::lookup_icon().

Returns:
  The built-in image pixbuf, or `0`. The returned image must not be modified.

Glib::RefPtr<Gdk::Pixbuf> Gtk::IconInfo::get_builtin_pixbuf | ( |  | ) |

Gets the built-in image for this icon, if any.

To allow GTK+ to use built in icon images, you must pass the Gtk::ICON_LOOKUP_USE_BUILTIN to Gtk::IconTheme::lookup_icon().

Returns:
  The built-in image pixbuf, or `0`. The returned image must not be modified.

Glib::ustring Gtk::IconInfo::get_display_name | ( |  | ) | const

Gets the display name for an icon.

A display name is a string to be used in place of the icon name in a user visible context like a list of icons.

Returns:
  The display name for the icon or `0`, if the icon doesn't have a specified display name. This value is owned icon_info and must not be modified or free.

Since: 2.4.

bool Gtk::IconInfo::get_embedded_rect | ( | Gdk::Rectangle& | rectangle | ) | const

Gets the coordinates of a rectangle within the icon that can be used for display of information such as a preview of the contents of a text file.

See gtk_icon_info_set_raw_coordinates() for further information about the coordinate system.

Parameters:

  | rectangle | Gdk::Rectangle in which to store embedded rectangle coordinates; coordinates are only stored when this function returns `true`.

Returns:
  `true` if the icon has an embedded rectangle

Since: 2.4.

Glib::ustring Gtk::IconInfo::get_filename | ( |  | ) | const

Gets the filename for the icon.

If the Gtk::ICON_LOOKUP_USE_BUILTIN flag was passed to Gtk::IconTheme::lookup_icon(), there may be no filename if a builtin icon is returned; in this case, you should use gtk_icon_info_get_builtin_pixbuf().

Returns:
  The filename for the icon, or `0` if gtk_icon_info_get_builtin_pixbuf() should be used instead.

const GtkIconInfo* Gtk::IconInfo::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GtkIconInfo* Gtk::IconInfo::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GtkIconInfo* Gtk::IconInfo::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Glib::RefPtr<Gdk::Pixbuf> Gtk::IconInfo::load_icon | ( |  | ) | const

Renders an icon previously looked up in an icon theme using Gtk::IconTheme::lookup_icon(); the size will be based on the size pssed to Gtk::IconTheme::lookup_icon().

Note that the resulting pixbuf may not be exactly this size; an icon theme may have icons that differ slightly from their nominal sizes, and in addition GTK+ will avoid scaling icons that it considers sufficiently close to the requested size. (This maintains sharpness.)

Returns:
  The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use Glib::object_unref() to release your reference to the icon.

Since: 2.4.

Gtk::IconInfo::operator bool | ( |  | ) |

| Tests whether the IconInfo is valid.

IconInfo& Gtk::IconInfo::operator= | ( | const IconInfo& | other | ) |

void Gtk::IconInfo::set_raw_coordinates | ( | bool | raw_coordinates = `true` | ) |

Sets whether the coordinates returned by gtk_icon_info_get_embedded_rect() and gtk_icon_info_get_attach_points() should be returned in their original form as specified in the icon theme, instead of scaled appropriately for the pixbuf returned by gtk_icon_info_load_icon().

Raw coordinates are somewhat strange; they are specified to be with respect to the unscaled pixmap for PNG and XPM icons, but for SVG icons, they are in a 1000x1000 coordinate space that is scaled to the final size of the icon. You can determine if the icon is an SVG icon by using gtk_icon_info_get_filename(), and seeing if it is non-`0` and ends in '.svg'.

This function is provided primarily to allow compatibility wrappers for older API's, and is not expected to be useful for applications.

Since: 2.4

Parameters:

  | raw_coordinates | Whether the coordinates of embedded rectangles and attached points should be returned in their original (unscaled) form.

void Gtk::IconInfo::swap | ( | IconInfo& | other | ) |

## Friends And Related Function Documentation

void swap | ( | IconInfo& | lhs,
|  | IconInfo& | rhs
| ) | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Gtk::IconInfo wrap | ( | GtkIconInfo* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkIconInfo* Gtk::IconInfo::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- iconinfo.h